Subject: bug#49039: Aspell in Emacs

From: [email-masked]
Date: Tue, 15 Jun 2021 17:09:32 +0200 (CEST)

Thank you for the useful information.  I would be helpful for many users

if there was more detailed information on how to set things up exactly with

real example code, that one would actually use.

Currently, I can only find a brief mention in

16.4 Checking and Correcting Spelling

It is unfortunate that emacs are still uses the name "ispell" because it erroneously

makes believe that one is making use of ispell, even thogh one in using ispell.

Would you seriously consider have a generic spell framework for emacs that

one can set up to use ispell, aspell etc.  In my opinion, the default should be set

to use aspell because its manual says that it ought to do a superior job and is intended

to replace ispell. 

Does one use the command this way

(setq ispell-program-name "aspell)

or this way

(setq ispell-program-name "/usr/bin/aspell")

Many Gratitudes

Henri

From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Subject: bug#49039: Aspell in Emacs
Date: 15/06/2021 16:24:32 Europe/Paris
Cc: [email-masked]

> From: [email-masked]
> Date: Tue, 15 Jun 2021 15:41:24 +0200 (CEST)
> 
> Ispell is available in Emacs for general use. But Aspell, which is stated as a spell checker
> designed to replace Ispell is not available for general use in Emacs. I would welcome
> Aspell in Emacs as I wish to use it.

??? The ispell.el library in Emacs supports the programs 'ispell',
'aspell', 'hunspell', and 'enchant'. If you have more than one of
these on PATH, you select the program you want to use by setting the
variable ispell-program-name.

So I think what you want is already possible, for quite some time.